---
title: Pricing
description: lightGallery commercial license options.
lead: 'lightGallery is a free and open-source library, however, if you are using the library for business, commercial sites, projects, and applications, choose the commercial license to keep your source proprietary, to yourself. '
date: 2020-04-17T12:18:10.000Z
draft: false
images: []
---

<div class="container-xl">
    <div class="pricing-list justify-content-center">
        <div class="pricing-list-item">
            <div class="pricing-type">Hobby</div>
            <div class="pricing-cost">
                $48 <span class="pricing-cost-label">/ lifetime</span>
            </div>
            <div class="pricing-desc">
                For personal use.
            </div>
            <div class="d-grid pricing-btn-wrap">
                <a href="https://sachin.lemonsqueezy.com/checkout/buy/8ed0fa81-9ff3-467b-9f01-cc5d2b0effd0" target="_blank"  class="btn btn-outline-primary">Purchase Now</a>
            </div>
            <ul class="pricing-terms">
                <li>For <b>one</b> developer</li>
                <li>For <b>one</b> product</li>
                <li>Can't be used in a product for sale</li>
                <li>GitHub support only</li>
                <li>Lifetime free updates</li>
            </ul>
        </div>
        <div class="pricing-list-item">
            <div class="pricing-type">Team</div>
            <div class="pricing-cost">
                $118 <span class="pricing-cost-label">/ lifetime</span>
            </div>
            <div class="pricing-desc">
                For small teams.
            </div>
            <div class="d-grid pricing-btn-wrap">
                <a href="https://sachin.lemonsqueezy.com/checkout/buy/4fda7194-9958-4370-9a34-fa56146c29fe" target="_blank" class="btn btn-outline-primary">Purchase Now</a>
            </div>
            <ul class="pricing-terms">
                <li>For upto <b>8</b> developers</li>
                <li>For upto <b>5</b> products</li>
                <li>Can be used in a product for sale</li>
                <li>GitHub and email support</li>
                <li>Lifetime free updates</li>
            </ul>
        </div>
        <div class="pricing-list-item">
            <div class="pricing-type">Organization</div>
            <div class="pricing-cost">
                $188 <span class="pricing-cost-label">/ lifetime</span>
            </div>
            <div class="pricing-desc">
                For large teams and organizations
            </div>
            <div class="d-grid pricing-btn-wrap">
                <a href="https://sachin.lemonsqueezy.com/checkout/buy/dd865021-e705-4327-ae2f-8b835414b01b" target="_blank" class="btn btn-outline-primary">Purchase Now</a>
            </div>
            <ul class="pricing-terms">
                <li>For <b>unlimited</b> developers</li>
                <li>For <b>unlimited</b> products</li>
                <li>Can be used in a product for sale</li>
                <li>GitHub, Email and Skype support</li>
                <li>Lifetime free updates</li>
            </ul>
        </div>
    </div>
</div>
<div class="container-xl pricing-section">
    <div class="row justify-content-center">
        <div class="col-md-6">
            <h2 class="align-center">Extended Commercial license</h2>
            <p>If you want to include lightGallery as part of software developer kit (SDK), web application builder or website builder, downloadable or installable products like Wordpress themes, HTML templates,or something that produces copies that each use lightGallery, you need to choose the Extended Commercial license.
        </div>
    </div>
    <div class="pricing-list justify-content-center">
        <div class="pricing-list-item pricing-list-item-colored">
            <div class="pricing-type">Extended</div>
            <div class="pricing-cost">
                $239 <span class="pricing-cost-label">/ lifetime</span>
            </div>
            <div class="d-grid pricing-btn-wrap">
                <a href="https://sachin.lemonsqueezy.com/checkout/buy/2f129e78-4f58-4166-93af-3e13fedb9101" target="_blank" class="btn btn-white">Purchase Now</a>
            </div>
            <ul class="pricing-terms">
                <li>For <b>unlimited</b> developers</li>
                <li>For <b>one</b> product</li>
            </ul>
        </div>
    </div>
</div>
<div class="container-xl pricing-section">
    <div class="row justify-content-center">
        <div class="col-md-6">
            <h2 class="align-center">Open source license</h2>
            <p>If you are creating an open source application under a license compatible with the <a target="_blank" href="https://www.gnu.org/licenses/gpl-3.0.html">GNU GPL license v3</a>, you may use this project under the terms of the GPLv3. Questions? <a target="_blank" href="https://www.gnu.org/licenses/gpl-faq.html#GPLRequireSourcePostedPublic">Read the GPL FAQ.</a> or <a target="_blank" href="http://greendrake.info/publications/js-gpl">this blog post.</a></p>
        </div>
    </div>
</div>

<div class="container-xl pricing-section">
    <div class="row justify-content-center pricing-points">
        <div class="col-md-6">
            <h2 class="align-center">Key Points</h2>
            <p>Please find the key points of the commercial license below. If you have any more questions, please contact at <a href="mailto:contact@lightgalleryjs.com">contact@lightgalleryjs.com</a></p>
            <div class="pricing-points-item">
                <h4>Team member</h4>
                <p>Commercial licenses are priced per team member. A team member is an individual person permitted to make modifications for your applications that uses lightGallery, whether such person is your employee or a consultant or contractor providing services to you.</p>
            </div>
            <div class="pricing-points-item">
                <h4>Free updates</h4>
                <p>You are entitled to receive all updates up to the major version of lightGallery as well as later versions if we authorize. But, if you have a v1 license, that is valid for v2 as well.</p>
            </div>
            <div class="pricing-points-item">
                <h4>Usage in saleable products</h4>
                <p>You need a team or organization license to use lightGallery in a product which end users can be charged for.</p>
            </div>
            <div class="pricing-points-item">
                <h4>Number of products</h4>
                <p>With the developer license, lightGallery can be used as part of a single product. With the team license, lightGallery can be used as prt of up to 5 products and with the organization license, lightGallery can be used as part of an unlimited number of products. </p>
                <p>Note: This use is limited within the same company. </p>
            </div>
            <div class="pricing-points-item">
                <h4>Reselling</h4>
                <p>lightGallery cannot be used in a product offered for sale or for free, where lightGallery contributes to the core value of the product being sold. If you like to build something based on lightGallery such as a pro WordPress plugin for lightGallery, please reach out to us at <a href="mailto:contact@lightgalleryjs.com">contact@lightgalleryjs.com</a></p>
                <p>lightGallery may not be used for re-selling, sub-licensing, or sharing purposes, and cannot otherwise be redistributed on its own (even for free).</p>
            </div>
            <div class="pricing-points-item">
                <h4>Unlimited time</h4>
                <p>The commercial License is not limited in time. Once you purchase a license, you can use if for lifetime under the terms of the particular license.</p>
            </div>
            <div class="pricing-points-item">
                <h4>No exclusivity</h4>
                <p>The commercial License is not exclusive and other buyers may purchase lightGallery.</p>
            </div>
            <div class="pricing-points-item">
                <h4>Support</h4>
                <p>Organization and team license holders will get faster response and priority for reported issues and questions</p>
            </div>
            <div class="pricing-points-item">
                <h4>All official plugins included</h4>
                <p>Along with lightGallery, you get access to all lightGallery official plugins listed on the official website</p>
            </div>
        </div>
    </div>
</div>
<div class="container-xl pricing-section">
    <div class="row justify-content-center pricing-points">
        <div class="col-md-6">
            <h2 class="align-center">Student discount </h2>
            <p>If you are a student currently enrolled in a College or University, DM me on <a href="https://twitter.com/SachinNeravath">Twitter</a> to get a free license.</p>
        </div>
    </div>
</div>

{{< trusted-by >}}
